'use strict';
class AppBootHook {
  constructor(app) {
    this.app = app;
  }

  async didReady() {
    // 应用已经启动完毕
    const ctx = await this.app.createAnonymousContext();
    // 检查种子
    await ctx.service.install.index();
    // await ctx.service.rabbitmq.receiveQueueMsg('user_bind');
  }

}
module.exports = AppBootHook;
