'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.get('/site/freeWeb', controller.intercept.freeWeb);
  router.get(/^\/site*/, controller.intercept.get);
  router.post(/^\/site*/, controller.intercept.post);
  router.delete(/^\/site*/, controller.intercept.delete);
};
